RegionConfig.Entry.Value (Apache Geode 1.6.0)
Date: 2018-04-23

org.apache.geode.cache.configuration

## Class RegionConfig.Entry.Value

- java.lang.Object
- - org.apache.geode.cache.configuration.RegionConfig.Entry.Value

- Enclosing class:
    RegionConfig.Entry

      public static class RegionConfig.Entry.Value
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="string" type="{http://geode.apache.org/schema/cache}string-type"/>
               <element name="declarable" type="{http://geode.apache.org/schema/cache}declarable-type"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DeclarableType` | `declarable`
    `protected StringType` | `string`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Value()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeclarableType` | `getDeclarable()` Gets the value of the declarable property.
    `StringType` | `getString()` Gets the value of the string property.
    `void` | `setDeclarable(DeclarableType value)` Sets the value of the declarable property.
    `void` | `setString(StringType value)` Sets the value of the string property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### string

          protected StringType string

    - #### declarable

          protected DeclarableType declarable

  - ### Constructor Detail

    - #### Value

          public Value()

  - ### Method Detail

    - #### getString

          public StringType getString()

      Gets the value of the string property.
      Returns:
        possible object is `StringType`

    - #### setString

          public void setString(StringType value)

      Sets the value of the string property.
      Parameters:
        `value` - allowed object is `StringType`

    - #### getDeclarable

          public DeclarableType getDeclarable()

      Gets the value of the declarable property.
      Returns:
        possible object is `DeclarableType`

    - #### setDeclarable

          public void setDeclarable(DeclarableType value)

      Sets the value of the declarable property.
      Parameters:
        `value` - allowed object is `DeclarableType`